## ros-galactic-quaternion-operation 0.0.11

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/quaternion_operation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/quaternion_operation.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/quaternion_operation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/quaternion_operation"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-galactic-quaternion-operation (0.0.11-1focal) focal; urgency=high

  * Add ament_lint_auto dependency to package.xml. (#58 <https://github.com/OUXT-Polaris/quaternion_operation/issues/58>)
  * Setup workflow (#59 <https://github.com/OUXT-Polaris/quaternion_operation/issues/59>)
  * Release 0.0.10 (#57 <https://github.com/OUXT-Polaris/quaternion_operation/issues/57>)
    * Update changelog
    * 0.0.10
  * Contributors: Steven! Ragnarök, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Wed, 09 Feb 2022 15:00:00 -0000

ros-galactic-quaternion-operation (0.0.10-1focal) focal; urgency=high

  * Fix/workflow (#55 <https://github.com/OUXT-Polaris/quaternion_operation/issues/55>)
  * Release 0.0.9 (#54 <https://github.com/OUXT-Polaris/quaternion_operation/issues/54>)
  * enable auto-merge PR (#52 <https://github.com/OUXT-Polaris/quaternion_operation/issues/52>)
  * Release 0.0.8 (#51 <https://github.com/OUXT-Polaris/quaternion_operation/issues/51>)
  * Merge pull request #47 <https://github.com/OUXT-Polaris/quaternion_operation/issues/47> from OUXT-Polaris/feature/bloom_release
  * change target branch
  * Merge pull request #45 <https://github.com/OUXT-Polaris/quaternion_operation/issues/45> from OUXT-Polaris/feature/bloom_release
  * remove old workflow
  * Merge pull request #44 <https://github.com/OUXT-Polaris/quaternion_operation/issues/44> from OUXT-Polaris/feature/bloom_release
  * add new action
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Thu, 30 Dec 2021 15:00:00 -0000

ros-galactic-quaternion-operation (0.0.9-1focal) focal; urgency=high

  * enable auto-merge PR (#52 <https://github.com/OUXT-Polaris/quaternion_operation/issues/52>)
  * Release 0.0.8 (#51 <https://github.com/OUXT-Polaris/quaternion_operation/issues/51>)
  * Merge pull request #47 <https://github.com/OUXT-Polaris/quaternion_operation/issues/47> from OUXT-Polaris/feature/bloom_release
  * change target branch
  * Merge pull request #45 <https://github.com/OUXT-Polaris/quaternion_operation/issues/45> from OUXT-Polaris/feature/bloom_release
  * remove old workflow
  * Merge pull request #44 <https://github.com/OUXT-Polaris/quaternion_operation/issues/44> from OUXT-Polaris/feature/bloom_release
  * add new action
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Thu, 30 Dec 2021 15:00:00 -0000

ros-galactic-quaternion-operation (0.0.8-1focal) focal; urgency=high

  * Merge pull request #47 <https://github.com/OUXT-Polaris/quaternion_operation/issues/47> from OUXT-Polaris/feature/bloom_release
  * change target branch
  * Merge pull request #45 <https://github.com/OUXT-Polaris/quaternion_operation/issues/45> from OUXT-Polaris/feature/bloom_release
  * remove old workflow
  * Merge pull request #44 <https://github.com/OUXT-Polaris/quaternion_operation/issues/44> from OUXT-Polaris/feature/bloom_release
  * add new action
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Thu, 30 Dec 2021 15:00:00 -0000

ros-galactic-quaternion-operation (0.0.7-1focal) focal; urgency=high

  * Merge pull request #43 <https://github.com/OUXT-Polaris/quaternion_operation/issues/43> from OUXT-Polaris/fix/pthread
    update CMakeLists.txt
  * update CMakeLists.txt
  * Setup workflow (#42 <https://github.com/OUXT-Polaris/quaternion_operation/issues/42>)
  * Setup workflow (#41 <https://github.com/OUXT-Polaris/quaternion_operation/issues/41>)
  * Setup workflow (#40 <https://github.com/OUXT-Polaris/quaternion_operation/issues/40>)
  * Setup workflow (#39 <https://github.com/OUXT-Polaris/quaternion_operation/issues/39>)
  * Setup workflow (#38 <https://github.com/OUXT-Polaris/quaternion_operation/issues/38>)
  * Setup workflow (#37 <https://github.com/OUXT-Polaris/quaternion_operation/issues/37>)
  * Setup workflow (#36 <https://github.com/OUXT-Polaris/quaternion_operation/issues/36>)
  * Setup workflow (#35 <https://github.com/OUXT-Polaris/quaternion_operation/issues/35>)
  * Setup workflow (#34 <https://github.com/OUXT-Polaris/quaternion_operation/issues/34>)
  * Setup build test workflow (#33 <https://github.com/OUXT-Polaris/quaternion_operation/issues/33>)
  * Setup build test workflow (#32 <https://github.com/OUXT-Polaris/quaternion_operation/issues/32>)
  * Merge pull request #31 <https://github.com/OUXT-Polaris/quaternion_operation/issues/31> from OUXT-Polaris/workflow/build_test
    [Bot] Update workflow
  * Setup build test workflow
  * Merge pull request #30 <https://github.com/OUXT-Polaris/quaternion_operation/issues/30> from OUXT-Polaris/workflow/build_test
    [Bot] Update workflow
  * update repos file
  * apply reformat
  * remove unused test
  * add ouxt_lint_common package
  * Setup build test workflow
  * Merge pull request #28 <https://github.com/OUXT-Polaris/quaternion_operation/issues/28> from OUXT-Polaris/workflow/scenario_test
    [Bot] Update workflow
  * Setup scenario test workflow
  * Merge pull request #27 <https://github.com/OUXT-Polaris/quaternion_operation/issues/27> from OUXT-Polaris/feature/add_flag
    add pthread flag
  * add pthread flag
  * Contributors: Masaya Kataoka, MasayaKataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Wed, 22 Dec 2021 15:00:00 -0000

ros-galactic-quaternion-operation (0.0.6-1focal) focal; urgency=high

  * add gtest to the depends
  * Merge pull request #26 <https://github.com/OUXT-Polaris/quaternion_operation/issues/26> from OUXT-Polaris/workflow/galactic
    update CI workflow for galactic
  * update .github/workflows/ROS2-Galactic.yaml
  * Contributors: Masaya Kataoka, robotx_buildfarm

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Sun, 11 Jul 2021 15:00:00 -0000

ros-galactic-quaternion-operation (0.0.5-1focal) focal; urgency=high

  * Merge pull request #25 <https://github.com/OUXT-Polaris/quaternion_operation/issues/25> from OUXT-Polaris/feature/add_compile_flag
    add pthread flag
  * remove dashing workflow
  * add find_package to the depends


=== debian/control ===
Source: ros-galactic-quaternion-operation
Section: misc
Priority: optional
Maintainer: Masaya Kataoka <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-auto, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-geometry-msgs, ros-galactic-ouxt-lint-common, ros-galactic-rclcpp, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-quaternion-operation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-galactic-ament-cmake-auto, ros-galactic-geometry-msgs, ros-galactic-rclcpp, ros-galactic-tf2-ros, ros-galactic-ros-workspace
Description: The quaternion_operation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-quaternion-operation//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
